# Gitlab with SSL

This bundle provides Gitlab CE with a Nginx reverse proxy that is configured to get SSL certificates from Lets Encrypt to provide SSL security out of the box.

## Usage

    juju deploy cs:~spiculecharms/bundle/gitlab-ssl

Once deployed you need to configure the ssl reverse proxy as explained below.

## Interacting with the bundle

You need to set an FQDN in the SSL Termination proxy which Lets Encrypt will then use to fetch the certificates. 
The DNS record for the server needs to be an A record and the server publicly accessible and "exposed".

More information about the proxy can be found here https://jujucharms.com/u/tengu-team/ssl-termination-proxy

More information about the gitlab charm can be found here https://jujucharms.com/u/spiculecharms/gitlab-server/1

Contact tom@spicule.co.uk for support.
